com.asprise.imaging.scan

## Enum FunctionalUnit.OutputFormat

- java.lang.Object
- - java.lang.Enum<FunctionalUnit.OutputFormat>
  - - com.asprise.imaging.scan.FunctionalUnit.OutputFormat

- All Implemented Interfaces:
    Serializable, Comparable<FunctionalUnit.OutputFormat>
  Enclosing class:
    FunctionalUnit

      public static enum FunctionalUnit.OutputFormat
      extends Enum<FunctionalUnit.OutputFormat>

  Output image format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMP`
    `GIF`
    `JPEG`
    `PDF`
    `PNG`
    `TIFF`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionalUnit.OutputFormat` | `detect(String formatName)`
    `static FunctionalUnit.OutputFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FunctionalUnit.OutputFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BMP

          public static final FunctionalUnit.OutputFormat BMP

    - #### GIF

          public static final FunctionalUnit.OutputFormat GIF

    - #### JPEG

          public static final FunctionalUnit.OutputFormat JPEG

    - #### PNG

          public static final FunctionalUnit.OutputFormat PNG

    - #### TIFF

          public static final FunctionalUnit.OutputFormat TIFF

    - #### PDF

          public static final FunctionalUnit.OutputFormat PDF

  - ### Method Detail

    - #### values

          public static FunctionalUnit.OutputFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionalUnit.OutputFormat c : FunctionalUnit.OutputFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionalUnit.OutputFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### detect

          public static FunctionalUnit.OutputFormat detect(String formatName)

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com